summaryrefslogtreecommitdiffstats
path: root/tests/ts/cramfs
diff options
context:
space:
mode:
authorKarel Zak2011-11-23 14:10:51 +0100
committerKarel Zak2011-11-23 14:10:56 +0100
commit13b3e7796bac9346d59ecd6fd3e2e902aa89c0df (patch)
tree428c06344c2e73b1d2b69c6e5ca9fe8e59285aca /tests/ts/cramfs
parentsmall bug in mkfs.cramfs + patch (diff)
downloadkernel-qcow2-util-linux-13b3e7796bac9346d59ecd6fd3e2e902aa89c0df.tar.gz
kernel-qcow2-util-linux-13b3e7796bac9346d59ecd6fd3e2e902aa89c0df.tar.xz
kernel-qcow2-util-linux-13b3e7796bac9346d59ecd6fd3e2e902aa89c0df.zip
tests: add mkfs.carmfs test for small FS with duplicate files
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts/cramfs')
-rwxr-xr-xtests/ts/cramfs/doubles53
1 files changed, 53 insertions, 0 deletions
diff --git a/tests/ts/cramfs/doubles b/tests/ts/cramfs/doubles
new file mode 100755
index 000000000..97ebd4809
--- /dev/null
+++ b/tests/ts/cramfs/doubles
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2011 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="mkfs doubles"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+set -x
+
+ORIGPWD=$(pwd)
+IMAGE_NAME="${TS_TESTNAME}.img"
+IMAGE_PATH="$TS_OUTDIR/$IMAGE_NAME"
+IMAGE_SRC="$TS_OUTDIR/${TS_TESTNAME}-data"
+
+ts_log "create mountpoint dir"
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+mkdir -p $IMAGE_SRC
+echo hello > $IMAGE_SRC/a
+echo hello > $IMAGE_SRC/b
+
+ts_log "create cramfs image"
+$TS_CMD_MKCRAMFS $IMAGE_SRC $IMAGE_PATH 2>&1 >> $TS_OUTPUT
+[ -s "$IMAGE_PATH" ] || ts_die "Cannot create $IMAGE_PATH"
+
+$TS_CMD_MOUNT -r $IMAGE_PATH $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+# check it
+ts_is_mounted $TS_MOUNTPOINT || ts_die "Cannot find $TS_MOUNTPOINT in /proc/mounts"
+
+ts_log "umount the image"
+$TS_CMD_UMOUNT $TS_MOUNTPOINT
+ts_finalize
+